Subject: Re: [PATCH 1/2] Fixed compiled issue tu to new of_platform.h header

From: Sven Luther <[email-masked]>
Date: Sun, 3 Dec 2006 15:57:50 +0100

On Sun, Dec 03, 2006 at 10:13:41AM +0100, Nicolas DET wrote:
> On Sun, 3 Dec 2006 09:23:03 +0100
> S0ven Luther <[email-masked]> wrote:
> 
> 
> > > Not that I know. But we could have a cleaner approach. The #include one
> > > dates a bit... we could have for example an ohci-core.ko with the core
> > > bits, and ochi-pci.ko, ohci-patform.ko etc... be separate modules linked
> > > on the first and instanciating it.
> > > 
> > > I'll have a look and will come up with either solution.
> > 
> 
> In my mind, this is the correct approch.
> 
> > Hi, ...
> > 
> > I am just wondering if i got dropped from the CCs or if there was no further
> > discussion on this.
> > 
> > The 2.6.19 kernel doesn't build when the efika patches are applied and the
> > ohci modules are built. We need a solution for this. Even disabling the patch
> > for ohci fails to build the ohci driver, but this could be a bad manipulation.
> > 
> 
> "Efika OHCI patches" does not exist. There is a new OHCI glue for OpenFrimware.

Whatever.

> > Is there any hint on the right way to go for this ? 
> > 
> 
> I'm currently running on 2.6.19 (the whole USB in kernel not kmod). It compiles and works fine.

Ok, the day you are able to run the same ohci driver binary on both pegasos
with ohci usb card, and efika, then we can speak.

Friendly,

Sven Luther